/* variable */
:root {
  --main-color: #E7000B;
  --main-text-color: #1C1917;
  --light-text-color: #FFF5E1;
}

/* base setting */
html:not(:has(.form-container)) {
  scroll-behavior: smooth;
  scroll-padding-top: 57px;
}

img {
  max-width: 100%;
}

body {
  font-family: "Noto Serif JP", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  line-height: 1.7;
  background: url("/system_panel/uploads/images/texture.jpg");
  background-attachment: fixed;
}

a {
  color: inherit;
  text-decoration: underline;
}

/* components */
.btn {
  border-radius: 64px;
  width: 100%;
  max-width: 240px;
  font-size: 12px;
}

.btn.btn-outline-primary {
  border: 2px solid var(--main-color);
  background: #FFF;
  color: var(--main-color);
  padding : 0;
  overflow: hidden;
}

.btn.btn-outline-primary a {
  text-decoration: none;
  color: var(--main-color);
  padding : 6px 12px;
  display : block;
  transition : background-color .3s;
}
.btn.btn-outline-primary a:hover {
  background-color : #ffe8e8 !important;
}
.btn.btn-outline-primary:active {
  background-color : #fff !important;
  border: 2px solid var(--main-color) !important;
  opacity : 0.9;
}

@media(min-width : 768px) {
  .btn {
    font-size: 16px;
  }
}

.googlemap {
  iframe {
    width: 100%;
    height: auto;
    object-fit: cover;
    aspect-ratio: 16 / 9;
    border: none;
  }
}

/* レイアウトパーツ */
.gap-4 {
  gap: 1.5rem;
}

.gap-5 {
  gap: 2.5em;
}

/* 汎用背景色 */
.section-bg-light {
  background: var(--light-text-color);
}

.bg-dark {
  background-color: var(--main-text-color) !important;
  color: var(--light-text-color);
}

.bg-light-gray {
  background-color: rgba(0, 0, 0, 0.05);
}

.illust-back--right-bottom-100 {
  background-image: url("/system_panel/uploads/images/chiken-back.svg");
  background-repeat: no-repeat;
  background-position: right calc(100% - 32px);
  background-size: 100%;
}
.illust-back--right-center {
  background-image: url("/system_panel/uploads/images/chiken-back-reverse.svg");
  background-repeat: no-repeat;
  background-position: calc(100% - 32px) calc(100% - 32px);
  background-size: auto 50%;
}


/* 汎用見出し */
.heading-group-vertical {
  text-orientation: upright;
}

.page-section {
  flex: 1;

  .heading-group-vertical {
    letter-spacing: 22%;
    line-height: 1.7;
    height: 20em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1em;

    .sub-title {
      font-size: 1.2em;
      font-weight: bold;
    }
  }

  @media(min-width:768px) {
    .heading-group-vertical {
      height: 32em;

      .sub-title {
        font-size: 1.4em;
      }
    }
  }
}

/* 下層ページヘッダー */
.page-header {
  h1,
  .h1 {
    font-size: min(6vw, 40px);
  }

  p:not(.h1) {
    font-size: min(4vw, 20px);
  }
}

/* 店舗情報ページ */
.page-header {
  position: relative;
  overflow: hidden;
  min-height: 10vw;
  justify-content: center;
  color: #fff;
  background-color: rgba(0, 0, 0, 0.3);

  * {
    position: relative;
    z-index: 1;
  }
}

.page-header__bg {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  z-index: 0;
  mix-blend-mode: multiply;
}


@media(min-width : 768px) {
  .heading-group-vertical+.flex-image {
    flex: 1;

    img {
      width: 100%;
      height: 32em;
      object-fit: cover;
      object-position: center;
    }
  }
}

/* メニューページ */
.menu-list {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1rem 1.5rem;
  width: 100%;

  >div {
    border-bottom: 1px dashed var(--main-text-color);
    padding-bottom: 0.5em;
    display: flex;
    flex-wrap: wrap;
    align-items: baseline;
    justify-content: space-between;
    gap: 0.5em 1em;
  }
}

.bg-dark .menu-list {
  >div {
    border-bottom: 1px dashed var(--light-text-color);
  }
}

@media(min-width :576px) {
  .menu-list {
    grid-template-columns: 1fr 1fr;
    gap: 1rem 3rem;
  }
}

@media(min-width :992px) {
  .menu-list {
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1rem 2rem;
  }
}

.inner-links {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 0.5em;
  margin-bottom: 3rem;

  .btn {
    margin: 0;
    width: fit-content;
  }
}

@media(min-width :768px) {
  .inner-links {
    gap: 1em;
    justify-content: center;
  }
}


/* 採用情報 */
.recruit-table {
  display: flex;
  flex-direction: column;
  word-break: break-all;
  gap: 1em;
}

.recruit-table-row {
  display: flex;
  align-items: baseline;
  border-bottom: 1px dashed #ccc;
  gap: 1em;
  padding-bottom: 1em;

  p {
    margin: 0;
  }

  p:nth-child(1) {
    font-weight: bold;
    width: 6em;
  }

  p:nth-child(2) {
    flex: 1;
  }
}

/* 新着情報 */
.news-archives .webgene-blog {
  display: grid;
  grid-template-columns: 1fr;
  gap: 16px;

  .webgene-item a {
    text-decoration: none;
    transition: opacity .3s;
  }
  .webgene-item a:hover {
    color: inherit;
    opacity: .8;
  }

  .webgene-item-info {
    display: flex;
    gap: 8px;
    margin-block: 0.75em 0.25em;
    font-size: 0.9rem;

    .blogItemDate {
      color: var(--main-color);
      margin: 0;
    }

    .blogItemCategory {
      background-color: var(--main-color);
      color: var(--light-text-color);
      padding: 0.25em 1.25em;
      font-size: 0.8em;
      border-radius: 16px;
      margin: 0;
    }
  }

  .blogItemTitle {
    font-weight: bold;
    font-size: 1.1rem;
  }
  .post-thumbnail {
    aspect-ratio : 3/2;
    background-image: url("/system_panel/uploads/images/noimage.jpg");
    background-size: cover;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
}

@media (min-width : 768px) {
  .news-archives .webgene-blog {
    grid-template-columns: 1fr 1fr;
    gap: 32px;
  }
}

.webgene-pagination {
  grid-column: 1 / -1;
}

.webgene-pagination ul {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1em;
  list-style: none;
  padding: 0;
}

.webgene-pagination a {
  text-decoration: none;
  border: 1px solid var(--main-color);
  background-color: var(--main-color);
  color: var(--light-text-color);
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 2rem;
  height: 2rem;
  padding: 0.2em 0.5em;
  transition: .3s;
}

.webgene-pagination .selected a,
.webgene-pagination a:hover {
  opacity:.7;
}

.webgene-item-content img {
  aspect-ratio: 16 / 10;
  object-fit: cover;

}

.news-detail {
    .webgene-item-info {
    display: flex;
    gap: 8px;
    margin-block: 0.75em 0.25em;
    font-size: 0.9rem;

    .blogItemDate {
      color: var(--main-color);
      margin: 0;
    }

    .blogItemCategory {
      background-color: var(--main-color);
      color: var(--light-text-color);
      padding: 0.25em 1.25em;
      font-size: 0.8em;
      border-radius: 16px;
      margin: 0;
    }
  }

  .blogItemTitle {
    font-weight: bold;
    font-size: 1.3rem;
  }
}

/* fade in */
/* fade in */
body:not(.gjs-dashed) .fade-in {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 3s ease, transform 1s ease;
}

body:not(.gjs-dashed) .fade-in.is-visible {
  opacity: 1;
  transform: translateY(0);
}